"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uni_datetime_picker2 = common_vendor.resolveComponent("uni-datetime-picker");
  _easycom_uni_datetime_picker2();
}
const _easycom_uni_datetime_picker = () => "../../uni_modules/uni-datetime-picker/components/uni-datetime-picker/uni-datetime-picker.js";
if (!Math) {
  _easycom_uni_datetime_picker();
}
const _sfc_main = {
  __name: "detail",
  setup(__props) {
    common_vendor.onLoad((options) => {
      info.value = JSON.parse(options.info);
      console.log(info.value);
    });
    const info = common_vendor.ref({});
    const busList = common_vendor.ref(["赣AU8G96", "赣AU8G99", "赣AU8G86"]);
    const busIndex = common_vendor.ref(0);
    const pathList = common_vendor.ref(["墨轩湖 - 综合楼", "墨轩湖 - 老校区 - 美程宾馆", "墨轩湖 - 老校区"]);
    const pathIndex = common_vendor.ref(0);
    const single = common_vendor.ref("2023-03-28 17:10");
    const bindPickerChange = (e, type) => {
      console.log(123);
    };
    const listData = common_vendor.ref([
      {
        name: "张三",
        url: "../../static/man.png",
        // 1代表男生,2代表女生
        sex: 1,
        identity: "教职工",
        time: "2023-03-01  10:33:12",
        // 1代表已预约
        type: 1
      },
      {
        name: "小刘",
        url: "../../static/woman.png",
        // 1代表男生,2代表女生
        sex: 2,
        identity: "教职工",
        time: "2023-03-01  10:33:12",
        // 1代表已预约
        type: 1
      },
      {
        name: "小王",
        url: "../../static/woman.png",
        // 1代表男生,2代表女生
        sex: 2,
        identity: "教职工",
        time: "2023-03-01  10:33:12",
        // 1代表已预约
        type: 1
      },
      {
        name: "张三",
        url: "../../static/man.png",
        // 1代表男生,2代表女生
        sex: 1,
        identity: "教职工",
        time: "2023-03-01  10:33:12",
        // 1代表已预约
        type: 1
      },
      {
        name: "小刘",
        url: "../../static/woman.png",
        // 1代表男生,2代表女生
        sex: 2,
        identity: "教职工",
        time: "2023-03-01  10:33:12",
        // 1代表已预约
        type: 1
      },
      {
        name: "小王",
        url: "../../static/woman.png",
        // 1代表男生,2代表女生
        sex: 2,
        identity: "教职工",
        time: "2023-03-01  10:33:12",
        // 1代表已预约
        type: 1
      }
    ]);
    return (_ctx, _cache) => {
      return {
        a: common_vendor.t(busList.value[busIndex.value]),
        b: common_vendor.o(($event) => bindPickerChange()),
        c: busIndex.value,
        d: busList.value,
        e: common_vendor.t(single.value),
        f: common_vendor.o(($event) => single.value = $event),
        g: common_vendor.p({
          modelValue: single.value
        }),
        h: common_vendor.t(pathList.value[pathIndex.value]),
        i: common_vendor.o(($event) => bindPickerChange()),
        j: pathIndex.value,
        k: pathList.value,
        l: common_vendor.f(listData.value, (item, index, i0) => {
          return {
            a: item.url,
            b: common_vendor.t(item.name),
            c: item.sex === 1 ? "../../static/boy.png" : "../../static/gril.png",
            d: common_vendor.t(item.identity),
            e: common_vendor.t(item.time),
            f: index
          };
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-eca06f3c"], ["__file", "E:/workSpace/schoolBus-reservation/pages/detail/detail.vue"]]);
wx.createPage(MiniProgramPage);
